local i=require"luci.model.tasks"
local o=require"luci.model.webvirtcloud"
local a,t,e
a=i.docker_map("webvirtcloud","webvirtcloud","/usr/libexec/istorec/webvirtcloud.sh",
translate("KVM WebVirtCloud"),
translate("KVM web manager in iStoreOS using webvirtcloud.").." login: admin/admin. "
..translate("Official website:")..' <a href=\"https://webvirt.cloud/\" target=\"_blank\">https://webvirt.cloud/</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("WebVirtCloud status:"))
t:append(Template("webvirtcloud/status"))
t=a:section(TypedSection,"webvirtcloud",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"http_port",translate("HTTP Port").."<b>*</b>")
e.default="6009"
e.datatype="port"
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("linkease/webvirtcloud:latest","linkease/webvirtcloud:latest")
e:value("linkease/webvirtcloud:0.8.5","linkease/webvirtcloud:0.8.5")
e:value("linkease/webvirtcloud:0.3.6","linkease/webvirtcloud:0.3.6")
e.default="linkease/webvirtcloud:latest"
local i=o.blocks()
local n=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local i,o=o.find_paths(i,n,"Configs")
for a,t in pairs(i)do
e:value(t,t)
end
e.default=o
e=t:option(Value,"time_zone",translate("Timezone"))
e.datatype="string"
e:value("Asia/Shanghai","Asia/Shanghai")
return a
